Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance Class Reference
Inheritance diagram for com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance:

## Public Member Functions
| PDF3DAnnotInstance ()
| Constructor.
| PDF3DAnnotInstance (PDF3DAnnotInstance other)
| Constructor, with another 3d annot instance object. More...
java.lang.Object | activateCanvas (java.lang.Object screen_canvas_parent)
| Activate canvas. More...
void | applyPresetView (PDF3DAnnotViewData view_data)
| Apply the preset view . More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
PDF3DAnnotViewDataArray | getPresetViewList ()
| Get the list of all preset views in the 3D model. More...
ModelNode | getRootNode ()
| Get the root node of the 3D model tree structure. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
void | onLButtonDown (int flag, PointF point)
| Call this function when pressing the left button. More...
void | onLButtonUp (int flag, PointF point)
| Call this function when releasing the left button. More...
void | onMouseMove (int flag, PointF point)
| Call this function when moving the mouse. More...
void | onMouseWheel (int flag, int delta, PointF point)
| Call this function when scrolling the mouse wheel. More...
void | onRButtonDown (int flag, PointF point)
| Call this function when pressing the right button. More...
void | onRButtonUp (int flag, PointF point)
| Call this function when releasing the right button. More...
void | resetDefaultView ()
| Reset the view back to the default view, the 3D model will be reset to its default state. More...
void | setController (int tool_tag)
| Set controller. More...
void | setRenderMode (int render_mode)
| Set model render mode. More...
void | updateCanvas (RectI rect)
| Update the canvas. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Attributes
static final int | e_ControllerFly = 5
| fly.
static final int | e_ControllerPan = 2
| pan.
static final int | e_ControllerRotate = 0
| rotate.
static final int | e_ControllerSpin = 1
| spin.
static final int | e_ControllerWalk = 4
| walk.
static final int | e_ControllerZoom = 3
| zoom.
static final int | e_RenderModeBoundingBox = 6
| Bounding box.
static final int | e_RenderModeHiddenWireframe = 11
| Hidden wireframe.
static final int | e_RenderModeIllustration = 12
| Illustration.
static final int | e_RenderModeShadedIllustration = 13
| Shaded illustration.
static final int | e_RenderModeShadedVertices = 15
| Shaded vertices.
static final int | e_RenderModeShadedWireframe = 10
| Shaded wireframe.
static final int | e_RenderModeSolid = 1
| Solid.
static final int | e_RenderModeSolidOutline = 3
| Solid outline.
static final int | e_RenderModeSolidWireframe = 2
| Solid wireframe.
static final int | e_RenderModeTransparent = 4
| Transparent.
static final int | e_RenderModeTransparentBoundingBox = 7
| Transparent bounding box.
static final int | e_RenderModeTransparentBoundingBoxOutline = 8
| Transparent bounding box outline.
static final int | e_RenderModeTransparentWireframe = 5
| Transparent wireframe.
static final int | e_RenderModeVertices = 14
| Vertices.
static final int | e_RenderModeWireframe = 9
| Wireframe.

## Detailed Description

This class represents a 3D annotation instance.

See also
  PDF3DContext

## Constructor & Destructor Documentation

## ◆ PDF3DAnnotInstance()

com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.PDF3DAnnotInstance | ( | PDF3DAnnotInstance | other | ) |

Constructor, with another 3d annot instance object.

Parameters

  [in] | other | Another 3d annot instance object.

## Member Function Documentation

## ◆ activateCanvas()

java.lang.Object com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.activateCanvas | ( | java.lang.Object | screen_canvas_parent | ) |

Activate canvas.

Parameters

  [in] | screen_canvas_parent | The parent window handle used to activate the canvas.

Returns
  The canvas handle.

## ◆ applyPresetView()

void com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.applyPresetView | ( | PDF3DAnnotViewData | view_data | ) |

Apply the preset view .

Ensure the function PDF3DAnnotInstance.activateCanvas has been called.

Parameters

  [in] | view_data | The data of the view to be set. It should be one of the data array returned by function .

Returns
  None.

## ◆ delete()

synchronized void com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getPresetViewList()

PDF3DAnnotViewDataArray com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.getPresetViewList | ( |  | ) |

Get the list of all preset views in the 3D model.

Ensure the function PDF3DAnnotInstance.activateCanvas has been called.

Returns
  An array of view data.

## ◆ getRootNode()

ModelNode com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.getRootNode | ( |  | ) |

Get the root node of the 3D model tree structure.

Ensure the function PDF3DAnnotInstance.activateCanvas has been called.

Returns
  The root node of the 3D model tree structure.

## ◆ isEmpty()

boolean com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ onLButtonDown()

void com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.onLButtonDown | ( | int | flag,
|  | PointF | point
| ) |  |

Call this function when pressing the left button.

Ensure the function PDF3DAnnotInstance.activateCanvas has been called.

Parameters

  [in] | flag | The flag of the mouse event.
  [in] | point | The point of the mouse.

Returns
  None.

## ◆ onLButtonUp()

void com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.onLButtonUp | ( | int | flag,
|  | PointF | point
| ) |  |

Call this function when releasing the left button.

Ensure the function PDF3DAnnotInstance.activateCanvas has been called.

Parameters

  [in] | flag | The flag of the mouse event.
  [in] | point | The point of the mouse.

Returns
  None.

## ◆ onMouseMove()

void com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.onMouseMove | ( | int | flag,
|  | PointF | point
| ) |  |

Call this function when moving the mouse.

Ensure the function PDF3DAnnotInstance.activateCanvas has been called.

Parameters

  [in] | flag | The flag of the mouse event.
  [in] | point | The point of the mouse.

Returns
  None.

## ◆ onMouseWheel()

void com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.onMouseWheel | ( | int | flag,
|  | int | delta,
|  | PointF | point
| ) |  |

Call this function when scrolling the mouse wheel.

Ensure the function PDF3DAnnotInstance.activateCanvas has been called.

Parameters

  [in] | flag | The flag of the mouse event.
  [in] | delta | The delta of the mouse wheel.
  [in] | point | The point of the mouse.

Returns
  None.

## ◆ onRButtonDown()

void com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.onRButtonDown | ( | int | flag,
|  | PointF | point
| ) |  |

Call this function when pressing the right button.

Ensure the function PDF3DAnnotInstance.activateCanvas has been called.

Parameters

  [in] | flag | The flag of the mouse event.
  [in] | point | The point of the mouse.

Returns
  None.

## ◆ onRButtonUp()

void com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.onRButtonUp | ( | int | flag,
|  | PointF | point
| ) |  |

Call this function when releasing the right button.

Ensure the function PDF3DAnnotInstance.activateCanvas has been called.

Parameters

  [in] | flag | The flag of the mouse event.
  [in] | point | The point of the mouse.

Returns
  None.

## ◆ resetDefaultView()

void com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.resetDefaultView | ( |  | ) |

Reset the view back to the default view, the 3D model will be reset to its default state.

Ensure the function PDF3DAnnotInstance.activateCanvas has been called.

Returns
  None.

## ◆ setController()

void com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.setController | ( | int | tool_tag | ) |

Set controller.

Ensure the function PDF3DAnnotInstance.activateCanvas has been called.

Parameters

  [in] | tool_tag | The controller tool to be set. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.e_ControllerRotate and this should be one of these values. Default value: com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.e_ControllerRotate .

Returns
  None.

## ◆ setRenderMode()

void com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.setRenderMode | ( | int | render_mode | ) |

Set model render mode.

Ensure the function PDF3DAnnotInstance.activateCanvas has been called.

Parameters

  [in] | render_mode | The render mode to be set. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.e_RenderModeSolid and this should be one of these values. Default value: com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.e_RenderModeSolidOutline .

Returns
  None.

## ◆ updateCanvas()

void com.foxit.sdk.addon.pdf3d.PDF3DAnnotInstance.updateCanvas | ( | RectI | rect | ) |

Update the canvas.

Ensure the function PDF3DAnnotInstance.activateCanvas has been called. Call this function when the canvas size and position need to be updated.

Parameters

  [in] | rect | The new area of canvas in device coordinate system.

Returns
  None.